=== debian/control ===
Source: ros-one-filters
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-one-catkin (>= 0.5.68), ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rostest
Homepage: http://ros.org/wiki/filters
Standards-Version: 3.9.2

Package: ros-one-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib
Description: This library provides a standardized interface for processing data as a sequence of filters.
 This package contains a base class upon which to build specific implementations as well as an interface which dynamically loads filters based on runtime parameters.
