## ros-one-filters 1.9.3-0noble.20251023.0100

=== debian/changelog ===
ros-one-filters (1.9.3-0noble.20251023.0100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 23 Oct 2025 01:00:41 +0000

ros-one-filters (1.9.3-0noble) noble; urgency=high

  * [ROS-O] update pluginlib include names (#64 <https://github.com/ros/filters/issues/64>)
  * [ROS-O] remove obsolete register keyword (#63 <https://github.com/ros/filters/issues/63>)
  * Contributors: Jonathan Binney, v4hn

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-filters (1.9.2-0noble) noble; urgency=high

  * Give access to FilterChain list of loaded filters
  * Fix warnings and problem with illegal xml characters
  * Contributors: Markus Vieth, Martin Pecka

 -- Tully Foote <tfoote@willowgarage.com>  Mon, 09 May 2022 00:00:00 -0000

ros-one-filters (1.9.1-0noble) noble; urgency=high

  * make FilterBase::getName() const
  * Making FilterBase::getParam const
  * narrow down required boost dependencies (#40 <https://github.com/ros/filters/issues/40>)
  * [noetic] deprecate h for hpp (#34 <https://github.com/ros/filters/issues/34>)
  * [noetic] Delete unused code (#33 <https://github.com/ros/filters/issues/33>)
  * Bump CMake version to avoid CMP0048
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 23 Sep 2020 00:00:00 -0000

ros-one-filters (1.9.0-0noble) noble; urgency=high

  * Reduce dependency on boost (#30 <https://github.com/ros/filters/issues/30>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-filters (1.8.1-0noble) noble; urgency=high

  * Fix warning about string type
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-one-filters (1.8.0-0noble) noble; urgency=high

  * Remove promiscuous filter finding
    When specifying filters, you must now include the package name and exact
    filter name. Previously a workaround would search packages for any filter
    with the specified string in the filter name. This has been deprecated for
    a while, and here we're removing it. #14 <https://github.com/ros/filters/issues/14>
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 07 Apr 2017 00:00:00 -0000

ros-one-filters (1.7.5-0noble) noble; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * check for CATKIN_ENABLE_TESTING
  * Add support for boolean parameters (fix #6 <https://github.com/ros/filters/issues/6>)
  * Contributors: Boris Gromov, Lukas Bulwahn, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 16 Mar 2017 00:00:00 -0000

ros-one-filters (1.7.4-0noble) noble; urgency=high

  * Remove trailing whitespace and old <cpp> export
  * Removing vestigial files
  * Merge pull request #5 <https://github.com/ros/filters/issues/5> from ahendrix/hydro-devel
    Fix pluginlib macros and createInstance usage.
  * Fix pluginlib macros and createInstance usage.
  * Contributors: Austin Hendrix, William Woodall, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 23 Jul 2013 00:00:00 -0000

ros-one-filters (1.7.3-0noble) noble; urgency=high

  * use new pluginlib API
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.2-0noble) noble; urgency=high

  * a bunch of CMake fixes to get tests passing.
  * fixing linking
  * 1.7.2
    For bugfix release
  * Merge pull request #3 <https://github.com/ros/filters/issues/3> from dgossow/patch-1
    Export pluginlib as dependency
  * Export pluginlib as dependency
  * Contributors: David Gossow, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 26 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.1-0noble) noble; urgency=high

  * bump version for bugfix
  * Merge pull request #2 <https://github.com/ros/filters/issues/2> from jonbinney/install_headers
    added install rule for headers in cmakelists
  * added install rule for headers in cmakelists
  * Contributors: Jon Binney, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 24 May 2013 00:00:00 -0000

ros-one-filters (1.7.0-0noble) noble; urgency=high

  * bump version for hydro release
  * reenabled rostests
  * builds with catkin
  * branched to separate cpp and ROS parts
    --HG--
    branch : cpp_separation
  * Added tag unstable for changeset 661a74b486de
    --HG--
    branch : filters
  * Added tag filters-1.6.0 for changeset 925818adeafe
    --HG--
    branch : filters
  * 1.6.0
    --HG--
    branch : filters
  * creating unary stack to refactor from common
    --HG--
    branch : filters
  * url fix
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4037239
  * patch for #4144 <https://github.com/ros/filters/issues/4144> including backwards compatability.  Also added check to give nice error and quit if invalid filter name, instead of throwing exception
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030358
  * rest of fix for #4181 <https://github.com/ros/filters/issues/4181> tests
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030356
  * basic tests for #4181 <https://github.com/ros/filters/issues/4181> more to come
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030355
  * Added Ubuntu platform tags to manifest
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4029647

